# Function circleChainId

- circleChainId<K1>(...args): ToExtPropKey<K1> extends "Solana" | "Ethereum" | "Avalanche" | "Arbitrum" | "Optimism" | "Base"
  ? ObjectFromMappingEntries<readonly [readonly ["Ethereum", 0], readonly ["Avalanche", 1], readonly ["Optimism", 2], readonly ["Arbitrum", 3], readonly ["Solana", 5], readonly ["Base", 6]], 1>[Object] extends Mapped
  ? any[any]
  : ObjectFromMappingEntries<readonly [readonly ["Ethereum", 0], readonly ["Avalanche", 1], readonly ["Optimism", 2], readonly ["Arbitrum", 3], readonly ["Solana", 5], readonly ["Base", 6]], 1>[Object]
  : never

- #### Type Parameters

  - #### K1 extends "Solana" | "Ethereum" | "Avalanche" | "Arbitrum" | "Optimism" | "Base"

  #### Parameters

  - ##### `Rest` ...args: [K1]

  #### Returns ToExtPropKey<K1> extends "Solana" | "Ethereum" | "Avalanche" | "Arbitrum" | "Optimism" | "Base"
  ? ObjectFromMappingEntries<readonly [readonly ["Ethereum", 0], readonly ["Avalanche", 1], readonly ["Optimism", 2], readonly ["Arbitrum", 3], readonly ["Solana", 5], readonly ["Base", 6]], 1>[Object] extends Mapped
  ? any[any]
  : ObjectFromMappingEntries<readonly [readonly ["Ethereum", 0], readonly ["Avalanche", 1], readonly ["Optimism", 2], readonly ["Arbitrum", 3], readonly ["Solana", 5], readonly ["Base", 6]], 1>[Object]
  : never

  - Defined in core/base/src/utils/mapping.ts:324

Generated using TypeDoc